 /* div{ 
     border: 1px red solid; 
  }  */

  

.fill { 
    min-height: 100%;
    height: 100%;
    
}

.fill-hf{
    min-height: 50%;
    height: 50%;
}

.fill-40{
    min-height: 40%;
    height: 40%;
}

.fill-60{
    min-height: 60%;
    height: 60%;
}

.couse-title-bar{
    height: 39px;
}

.couse-title-bar-txt{
    height: 39px;
    
}

.couse-result-box1{
    width:265px; 
    height:115px;
    background-color:rgb(153,170,184); 
    border-radius: 20px;
    color: #fff;
}

.couse-result-box2{
    width:265px; 
    height:115px;
    background-color:rgb(165,213,250); 
    border-radius: 20px;
    color: #fff;
}

.couse-result-box3{
    width:265px; 
    height:115px;
    background-color:rgb(157,212,121); 
    border-radius: 20px;
    color: #fff;
}
 
.couse-result-box4{
    width:265px; 
    height:115px;
    background-color:rgb(255,190,95); 
    border-radius: 20px;
    color: #fff;
}

.couse-result-pic1{
    height:80px;
    background-color:rgb(198,198,198);
    margin:10px;
    border-radius: 10px;
}

.couse-result-pic2{
    height:80px;
    background-color:rgb(199,231,255);;
    margin:10px;
    border-radius: 10px;
}

.couse-result-pic3{
    height:80px;
    background-color:rgb(180,230,148);
    margin:10px;
    border-radius: 10px;
}

.couse-result-pic4{
    height:80px;
    background-color:rgb(255,216,158);
    margin:10px;
    border-radius: 10px;
}


.couse-content-w100{
    width:100%; 
    text-align:center; 
    display:flex; 
    justify-content:center;
}

.couse-content-w80{
    width:85%; 
    text-align:center;
}

.couse-content-w100m0p0{
    width:100%; 
    text-align:center; 
    display:flex; 
    justify-content:center;
    margin: 0;
    padding: 0;
}

.couse-content-w95m0p0{
    width:95%; 
    text-align:center;
    margin: 0;
    padding: 0;
}
.couse-content-page-content{
    width: 75%;
    height: 50px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
}
.couse-hr-b{
    display: flex;
    background-color: rgb(0,0,0); 
    height: 1px; 
    border: 0;
    margin-top: 20px;
    width: 75%;
    flex-wrap: wrap;
}

.couse-title-header{
    font-size: 15px;
    font-weight: bold;
    color: black;
}

.couse-btn-add{
    width: 150px;
    height: 45px;
    font-size: small;
    border-radius: 14px;
}

.couse-btn-print{
    width: 100px;
    height: 45px;
    font-size: small;
    border-radius: 14px;
    background-color: rgb(144,144,144);
    counter-reset: #fff;
    border: 0px;
}

.couse-btn-createnew-menu{
    width:115px; 
    height:125px;
    border-radius: 15px;
    background-color: rgb(229,234,235);
    color: #000;
    font-size: smaller;
    border: 0px;
    line-height: 14px;
}

.couse-btn-createnew-menu:hover{
    background-color: rgb(250,185,217);
    color:rgb(78,80,80);
    box-shadow: rgb(255 255 255) -5px -5px 2px 0px, rgb(0 0 0 / 23%) 5px 5px 10px 0px;
    cursor: pointer;
    font-size: smaller;
}

.couse-btn-createnew-menu.active_cn_menu{
    background-color: rgb(255,138,196);
    color:#fff;
    box-shadow: rgb(255 255 255) -5px -5px 2px 0px, rgb(0 0 0 / 23%) 5px 5px 10px 0px;
    cursor: pointer;
    font-weight: 500;
    font-size: smaller;
}

.couse-btn-search-p{
    width: 90px;
    height: 35px;
    font-size: small;
    border-radius: 14px;
    background-color: rgb(255, 138, 196);
    color: #fff;
    border: 1px solid rgb(255,138,196);
}

.couse-cn-titlebar{
    background-color: rgb(144,144,144);
    border-radius: 10px;
    color: #fff;
    font-size: large;
    font-weight: 500;
}

.couse-cn-content{
    border: 1px solid rgb(34,34,34);
    border-radius: 25px;
    padding: 10px;
    font-size: 13px;
    color: #000;
    font-weight: 500;
}

.couse-page-link{
    font-size: small;
}

.couse-page-link a{
    text-decoration: none;
}

.couse-form-title{
    color: black;
    font-size: medium;
}

.couse-form-area-t1{
    background-color: rgb(243, 243, 243);
    border-radius: 10px;
    box-shadow: rgb(0 0 0 / 25%) 0px 1px 2px 0px;
}

.couse-form-label-z13b{
    font-size: 13px;
    color: black;
    line-height: 0.2cm;
    letter-spacing:normal;
}

.couse-form-select-input{
    border-radius: 15px;
    border-style: none;
    color: #999090;
    text-align: left;
    /* padding-left: 50px; */
    font-size: 13px;
    height: 35px;
    background-color: rgb(255,255,255);
}

.couse-form-select-input-cn{
    height: 35px;
    border-radius: 15px;
    background-color: rgb(229,234,235);
    font-size: 13px;
}

.couse-form-text-input-cn{
    height: 35px;
    border-radius: 15px;
    background-color: #fff;
    border: 1px solid #000;
    font-size: 13px;
}

.couse-form-text-input-cn-txtarea{
    height: 35px;
    border-radius: 15px;
    background-color: #fff;
    border: 1px solid #000;
    font-size: 13px;
}

.couse-form-icon-input{
    background-color:rgb(229,234,235);
    height:35px; 
    border-top-right-radius: 15px; 
    border-bottom-right-radius: 15px;
}

.couse-table-header-p1{
    background-color: rgb(250, 241, 232);
    height: 45px;
    font-style:normal;
    font-weight: bolder;
    color: rgb(0, 0, 0);
    font-size: 14px;
    letter-spacing: 0px;
    line-height: 1.2em;
    text-align: center;
    text-decoration: none;
}

.couse-table-col-fz12{
    font-size: 13px;
    font-style: normal;
    font-weight: 500;
    color: rgb(0, 0, 0);
}

.couse-btn-edit-table{
    background-color: rgb(255, 152, 1);
    width: 32px;
    height: 36px;
    border-radius: 31.25% / 27.7778%;
}

.couse-btn-del-table{
    background-color: rgb(244, 67, 54);
    width: 32px;
    height: 36px;
    border-radius: 31.25% / 27.7778%;
}

.couse-tb-st-green{
    color: rgb(102,187,102);
    font-weight: 600;
}

.couse-tb-st-red{
    color: red;
    font-weight: 600;
}

.couse-plan-box{
    width:350px;
    height:160px;
    background-color:rgb(215,209,245);
    color:black;
    border-radius: 35px;
    font-size: 1.5rem;
    font-weight: 500;
}

.couse-plan-box:hover{
    cursor: pointer;
    background-color: rgb(172,157,247);
    box-shadow: rgb(255 255 255) -5px -5px 2px 0px, rgb(0 0 0 / 23%) 5px 5px 10px 0px;
}

.couse-subject-box{
    width:350px;
    height:160px;
    background-color:rgb(215,209,245);
    color:black;
    border-radius: 35px;
    font-size: 1.5rem;
    font-weight: 500;
}

.couse-subject-box:hover{
    cursor: pointer;
    background-color: rgb(172,157,247);
    box-shadow: rgb(255 255 255) -5px -5px 2px 0px, rgb(0 0 0 / 23%) 5px 5px 10px 0px;
}

.couse-cn-link-page-bt{
    color:red;
    text-decoration: underline red;
}

.couse-cn-btn-p2{
    background-color:rgb(102,187,102); 
    color:#fff; 
    width:100px; 
    height:35px; 
    font-size:14px; 
    border-radius: 15px;
}

.course-struc-c1{
    background-color: rgb(243,243,243);
    border-radius:15px;
}

.course-struc-c2{
    font-size:14px;
    color:#000;
    border-radius:15px;
}

.course-struc-c3{
    font-size:15px;
    color:#000;
    font-weight: 600;
    border-radius:15px;
}

@media (min-width: 768px) {

   /* .couse-title-header{
        font-weight: 500;
        margin-left: 0;
    }

    .couse-btn-add{
        height: 40px;
        border-radius: 14px;
        margin-right: 0;
    }*/

}

@media only screen and (max-width: 768px) {

    .couse-hr-b{
        display: none;
    }

    .couse-page-link{
        width: 100%;
    }

    .couse-form-title{
        color: black;
        font-size: large;
        margin-left: 0;
        padding-top: 0;
    }

    /* .couse-btn-createnew-menu{
        height: auto;
    } */

}